<ng-container *transloco="let t; prefix: 'agentConfiguration'">
  <div class="col-12 d-flex row justify-content-start align-items-center">
    <div class="col-12 mt-3">{{ t('generateKeyPairDescription') }}</div>
    <div class="col-12 mt-3 justify-content-center">
      <button euiButton euiPrimary (click)="openDialog()">
        <eui-icon-svg icon="eui-ecl-edit"></eui-icon-svg>
        <span euiLabel>{{ t('generateKeyPairButton') }}</span>
      </button>

      <eui-dialog #dialog
                  [title]="t('keypairGeneration.title')"
                  [dismissLabel]="t('keypairGeneration.cancel')"
                  [acceptLabel]="t('keypairGeneration.confirm')"
                  (accept)="onAccept()">
        <ng-container>
          @switch (status) {
            @case ("loading") {
              <div class="w-full d-flex row items-center justify-content-center py-2">
                <p>{{ t('keypairGeneration.loading') }}</p>
              </div>
            }
            @case ("prompt") {
              <p>{{ t('keypairGeneration.message-1') }}</p>
              <p>{{ t('keypairGeneration.message-2') }}</p>
            }
            @default {
              @if (status === "error") {
                <p class="text-danger">{{ t('keypairGeneration.error') }}</p>
              } @else {
                <p class="text-success">{{ t('keypairGeneration.success') }}</p>
              }
            }
          }
        </ng-container>
      </eui-dialog>
    </div>
  </div>
</ng-container>
